Bug 498915 - btt segfaults when analyzing an input file
btt segfaults when analyzing an input file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: blktrace (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Eric Sandeen
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 09:23 EDT by Milos Malik
Modified: 2010-02-03 08:18 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:41:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
blktrace output file (1.55 KB, application/octet-stream)
2009-05-04 09:24 EDT, Milos Malik
no flags Details
blkrawverify output file (143 bytes, text/plain)
2009-05-04 09:25 EDT, Milos Malik
no flags Details
strace output when running btt (2.60 KB, text/plain)
2009-05-04 09:26 EDT, Milos Malik
no flags Details

  None (edit)
Description Milos Malik 2009-05-04 09:23:01 EDT
Description of problem:
btt segfaults when analyzing an input file created by blktrace

Version-Release number of selected component (if applicable):
blktrace-1.0.0-3.el5

How reproducible:
always

Steps to Reproduce:
# blktrace -d /dev/mapper/VolGroup00-LogVol00 -w 10
Device: /dev/mapper/VolGroup00-LogVol00
  CPU  0:                    0 events,        2 KiB data
  Total:                     0 events (dropped 0),        2 KiB data
# ls -l *.blktrace.*
-rw-r--r-- 1 root root 1584 May  4 09:18 dm-0.blktrace.0
# blkrawverify dm-0
Verifying dm-0
    CPU 0 
Wrote output to dm-0.verify.out
# btt -i dm-0.blktrace.0 
Segmentation fault
# echo $?
139

  
Actual results:
segfault

Expected results:
no segfaults

Additional info:
Comment 1 Milos Malik 2009-05-04 09:24:10 EDT
Created attachment 342301 [details]
blktrace output file
Comment 2 Milos Malik 2009-05-04 09:25:23 EDT
Created attachment 342302 [details]
blkrawverify output file
Comment 3 Milos Malik 2009-05-04 09:26:25 EDT
Created attachment 342303 [details]
strace output when running btt
Comment 6 Eric Sandeen 2009-05-04 16:50:33 EDT
Fixed by:

http://git.kernel.dk/?p=blktrace.git;a=commitdiff;h=f3db34733e7c8a46e9e26305e424a3ecd49ac06d

upstream; I'll pull it in.

Thanks,
-Eric
Comment 7 Eric Sandeen 2009-05-04 16:53:26 EDT
Building in blktrace-1.0.0-4.el5
Comment 12 errata-xmlrpc 2009-09-02 05:41:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1284.html

Note You need to log in before you can comment on or make changes to this bug.